summaryrefslogtreecommitdiff
path: root/provision
diff options
context:
space:
mode:
authorChristian Rebischke <Chris.Rebischke@posteo.de>2017-05-06 21:38:25 +0200
committerChristian Rebischke <Chris.Rebischke@posteo.de>2017-05-06 21:38:25 +0200
commitdb17977b2f37b3359540ef9c0f3ffbe9861f97b7 (patch)
tree0c92b18b3a57155745045c0b05b3c8ac11450c16 /provision
parent99b792c785a6088df8d170ca6f4ffa2a45457333 (diff)
downloadarch-boxes32-db17977b2f37b3359540ef9c0f3ffbe9861f97b7.tar.xz
added new postinstall.sh, moved the controllers to postinstall.sh and added the script to vagrant.json
Diffstat (limited to 'provision')
-rw-r--r--provision/postinstall.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/provision/postinstall.sh b/provision/postinstall.sh
new file mode 100644
index 0000000..9aa2881
--- /dev/null
+++ b/provision/postinstall.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+set -x
+
+# setting hostname, locales, etc
+hostnamectl set-hostname "archlinux"
+localectl set-locale "LANG=en_US.UTF-8"
+localectl set-keymap "us"
+localectl set-xx1-keymap "us"
+timedatectl set-ntp true